#include "xfxelemvisualstate.h"

XFxElemVisualState::XFxElemVisualState()
    : XAsset()
    , mColor(Qt::black)
    , mRotationDelta(0)
    , mRotationTotal(0)
    , mSize(0, 0)
    , mScale(0)
{
    
}

XFxElemVisualState::~XFxElemVisualState()
{
    
}

void XFxElemVisualState::Clear()
{
    mColor = Qt::black;
    mRotationDelta = 0;
    mRotationTotal = 0;
    mSize = QSize(0, 0);
    mScale = 0;
}

void XFxElemVisualState::ParseData(QDataStream *aStream)
{
    
}
